# PSF-LoginServer - master - net.psforever.actors.session.SessionActor
PSF - LoginServer - master - net.psforever.actors.session.SessionActor
Keywords: PSF LoginServer master net.psforever.actors.session.SessionActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package session
  Definition Classes
    actors
- AvatarActor
- ChatActor
- SessionActor

o

net.psforever.actors.session

# SessionActor 

###
Companion class SessionActor

#### object SessionActor

Source
  SessionActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SessionActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed trait Command extends AnyRef
2.  final case class InstantAction () extends Command with Product with Serializable
3.  final case class Kick (player: Player, time: Option[Long] = None) extends Command with Product with Serializable
4.  final case class ProgressEvent (delta: Float, completionAction: () => Unit, tickAction: (Float) => Boolean, tickTime: Long = 250) extends Product with Serializable

   The message that progresses some form of user-driven activity with a certain eventual outcome and potential feedback per cycle.

   The message that progresses some form of user-driven activity with a certain eventual outcome and potential feedback per cycle.

   delta

     how much the progress value changes each tick, which will be treated as a percentage; must be a positive value

   completionAction

     a finalizing action performed once the progress reaches 100(%)

   tickAction

     an action that is performed for each increase of progress

   tickTime

     how long between each `tickAction` (ms); defaults to 250 milliseconds

5.  final case class Quit () extends Command with Product with Serializable
6.  final case class Recall () extends Command with Product with Serializable
7.  final case class ResponseToSelf (pkt: PlanetSideGamePacket) extends Product with Serializable
8.  final case class SendResponse (packet: PlanetSidePacket) extends Command with Product with Serializable
9.  final case class SetAvatar (avatar: Avatar) extends Command with Product with Serializable
10.  final case class SetConnectionState (connectionState: Int) extends Command with Product with Serializable
11.  final case class SetFlying (flying: Boolean) extends Command with Product with Serializable
12.  final case class SetPosition (position: Vector3) extends Command with Product with Serializable
13.  final case class SetSilenced (silenced: Boolean) extends Command with Product with Serializable
14.  final case class SetSpectator (spectator: Boolean) extends Command with Product with Serializable
15.  final case class SetSpeed (speed: Float) extends Command with Product with Serializable
16.  final case class SetZone (zoneId: String, position: Vector3) extends Command with Product with Serializable
17.  final case class SquadUIElement (name: String, index: Int, zone: Int, health: Int, armor: Int, position: Vector3) extends Product with Serializable
    Attributes
      protected
18.  final case class Suicide () extends Command with Product with Serializable
19.  final case class UseCooldownRenewed (definition: BasicDefinition, time: LocalDateTime) extends Command with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped